GNU-devel ELPA - compat

compat

Description
Compatibility Library
Latest
compat-28.1.0.0pre0.20211115.221324.tar, 2021-Nov-16, 100 KiB
Maintainer
Philip Kaludercic <philipk@posteo.net>
Home page
https://git.sr.ht/~pkal/compat/
Browse ELPA's repository
CGit or Gitweb
Badge

To install this package, run in Emacs:

M-x package-install RET compat RET

Full description

To allow for the usage of Emacs functions and macros that are
defined in newer versions of Emacs, compat.el provides definitions
that are installed ONLY if necessary.  These reimplementations of
functions and macros are at least subsets of the actual
implementations.  Be sure to read the documentation string to make
sure.

Not every function provided in newer versions of Emacs is provided
here.  Some depend on new features from the core, others cannot be
implemented to a meaningful degree.  The main audience for this
library are not regular users, but package maintainers.  Therefore
commands and user options are usually not implemented here.

Old versions

compat-28.1.0.0pre0.20211115.203709.tar.lz2021-Nov-1519.6 KiB
compat-28.1.0.0pre0.20211102.191953.tar.lz2021-Nov-0219.6 KiB
compat-28.1.0.0pre0.20211029.221813.tar.lz2021-Oct-3019.5 KiB
compat-28.1.0.0pre0.20211025.160320.tar.lz2021-Oct-2519.5 KiB
compat-28.1.0.0pre0.20211025.65049.tar.lz2021-Oct-2519.5 KiB
compat-28.1.0.0pre0.20211024.175708.tar.lz2021-Oct-2419.5 KiB
compat-28.1.0.0pre0.20211017.91942.tar.lz2021-Oct-1719.6 KiB